UMOUNT(8)

NOM
umount - Démonter des systèmes de fichiers

SYNOPSIS
umount -a [-dflnrv] [-t type] [-O option ...]

umount [-dflnrv] {répertoire|périphérique} ...

umount -h|-V

DESCRIPTION
La commande umount détache les systèmes de fichiers mentionnés de la hiérarchie des fichiers. Un système de fichiers est indiqué en donnant le nom du répertoire dans lequel il a été monté. Fournir le périphérique spécial sur lequel réside le système de fichiers peut également fonctionner, mais est obsolète, principalement parce que cela échouera si ce périphérique a été monté dans plus d'un répertoire.

Remarquez qu'un système de fichiers ne peut pas être démonté quand il est « occupé », par exemple quand il y a des fichiers ouverts dessus, quand certains processus y ont leur répertoire de travail, ou quand un fichier d'échange y est utilisé. L'un de ces processus « récalcitrants » pourrait même être umount lui-même : il ouvre la libc, qui peut ouvrir à son tour des fichiers locaux. Un démontage paresseux évite ce problème.

OPTIONS

-a, --all
    Démonter tous les systèmes de fichiers décrits dans /etc/mtab, à part le système de fichiers proc.

-A, --all-targets
    Démonter tous les points de montage dans l’espace de noms actuel pour le système de fichiers indiqué. Le système de fichiers peut être indiqué par les points de montage ou le nom (ou l’UUID, etc.) du périphérique. Quand cette option est utilisée avec --recursive, alors tous les montages imbriqués dans le système de fichiers sont démontés de façon récursive. Cette option n’est prise en charge que sur les systèmes où /etc/mtab est un lien symbolique vers /proc/mounts.

-c, --no-canonicalize
    Ne pas rendre les chemins canoniques. Consultez la page de manuel mount(8) pour plus de précisions. Remarquez que umount ne passe pas cette option aux auxiliaires /sbin/umount.type.

-d, --detach-loop
    Quand un périphérique démonté était un périphérique boucle, libérer aussi ce périphérique boucle.

--fake
    Toutes les actions seront exécutées sauf le véritable appel système ; cela imite le démontage du système de fichiers. Cela permet de retirer des entrées de /etc/mtab qui avaient été démontées auparavant avec l'option -n.

-f, --force
    Forcer un démontage (dans le cas d'un système NFS inaccessible). Nécessite un noyau 2.1.116 ou ultérieur.

-i, --internal-only
    Ne pas appeler l’auxiliaire /sbin/umount.système_de_fichiers même s’il existe. Par défaut, ce genre de programme auxiliaire est appelé s’il existe.

-l, --lazy
    Démontage paresseux. Détacher maintenant le système de fichiers de la hiérarchie de fichiers et effacer toutes les références vers ce système de fichiers dès qu'il n'est plus occupé (nécessite un noyau 2.4.11 ou ultérieur).

-n, --no-mtab
    Démonter sans écrire dans /etc/mtab.

-O, --test-opts option[,option] ...
    Ne démonter que les systèmes de fichiers dont les options indiquées sont définies dans /etc/fstab. Plusieurs options peuvent être indiquées dans une liste, séparées par des virgules. Chaque option peut être préfixée par no pour indiquer qu’aucune action ne doit être réalisée pour cette option.

-R, --recursive
    Démonter récursivement tous les répertoires indiqués. La récursion d’un répertoire s’arrêtera si une opération de démontage a échoué dans la chaîne quelle qu’en soit la raison. La relation entre les points de montage est déterminée par les entrées de /proc/self/mountinfo. Le système de fichiers doit être indiqué par un chemin de point de montage ; le démontage récursif par nom (ou UUID) de périphérique n’est pas pris en charge.

-r, --read-only
    Si le démontage échoue, essayer de remonter le système de fichiers en lecture seule.

-t, --types type[,type] ...
    Indiquer que les actions devraient uniquement être entreprises sur les systèmes de fichiers du type indiqué. Plusieurs types peuvent être indiqués dans une liste, séparés par des virgules. La liste des types de systèmes de fichiers peut être préfixée par no pour indiquer qu’aucune action ne doit être réalisée pour aucun des types indiqués.

-v, --verbose
    Mode verbeux.

-V, --version
    Afficher les informations sur la version et quitter.

-h, --help
    Afficher un texte d'aide puis quitter.

PÉRIPHÉRIQUE BOUCLE
La commande umount libérera le périphérique boucle (« loop ») associé au montage quand l’option loop= est dans /etc/mtab ou quand l'option -d est indiquée. Tous les périphériques boucle encore associés peuvent être libérés en utilisant la losetup -d ; consultez losetup(8).

AUXILIAIRES EXTERNES
La syntaxe des programmes externes de démontage est :

    umount.suffixe {répertoire|périphérique} [-flnvr] [-t type.sous-type]

où suffixe est le type de système de fichiers (ou la valeur d’un marqueur uhelper= ou helper= de mtab). L'option -t peut être utilisée pour les systèmes de fichiers qui ont une prise en charge des sous-types. Par exemple :

    umount.fuse -t fuse.sshfs

Un marqueur uhelper=quelque_chose (« unprivileged helper », auxiliaire ordinaire) peut apparaître dans le fichier /etc/mtab quand des utilisateurs ordinaires doivent pouvoir démonter un point de montage non défini dans /etc/fstab (par exemple pour un périphérique monté par udisk(1)).

Un marqueur helper=type dans le fichier mtab redirigera toutes les requêtes de démontage à l’auxiliaire /sbin/umount.type indépendamment de l'UID.

FICHIERS

/etc/mtab
    Table des systèmes de fichiers montés.

/etc/fstab
    Table des systèmes de fichiers connus.

ENVIRONNEMENT

LIBMOUNT_FSTAB=chemin
    Remplacer l’emplacement par défaut du fichier fstab (ignoré pour suid).

LIBMOUNT_MTAB=chemin
    Remplacer l’emplacement par défaut du fichier mtab (ignoré pour suid).

LIBMOUNT_DEBUG=all
    Activer la sortie de débogage de libmount.

VOIR AUSSI
umount(2), mount(8), losetup(8)

HISTORIQUE
Une commande umount est apparue dans la Version 6 du UNIX AT&T.

DISPONIBILITÉ
La commande umount fait partie du paquet util-linux, elle est disponible sur l’archive du noyau Linux (ftp://ftp.kernel.org/pub/linux/utils/util-linux/).

TRADUCTION
Cette page de manuel a été traduite par Frédéric Delanoy en 2000. La version présente dans Debian est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.